function ponAccion(key)

{		

	if(!dimeExisteGrupoParaMuniAnoYMesConDifConcedeLicen())

		return false;

	//Antes de buscar se establecen en los campos ocultos la descripci?n del municipio, as? como se separa el c?digo de provinvia y de municipio del value de combo que carga los municipios

	var cmbMuni = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"];

	document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(municipio)"].value = cmbMuni.options[cmbMuni.selectedIndex].text;

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProv)"].value = arrProvMun[0];

	document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codMuni)"].value = arrProvMun[1];

	document.forms["formFiltroCuestionariosAyunVTMMen"].accion.value=key;

	//Se habilita el combo de municipio, para que se pase a trav?s de la request

	document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"].disabled = false;

	document.forms["formFiltroCuestionariosAyunVTMMen"].submit();

}



function dameValueConcedeLicen()

{

	var valor = "";

	var objRadio = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(licenciasMes)"];

	for(i=0;i<objRadio.length;i++)

	{

		if(objRadio[i].checked)

		{

			valor=objRadio[i].value;

			break;

		}

	}

	return valor;

}



function obtenerConcedeLicenParaMuniAnoYMes(codProv,codMuni,ano,mes)

{

	var GDTP = new ARQ_GDTP();

	GDTP.addGroup("APP_PARAMETERS");

	GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.cuestionariosAyunVTMMen.launcher.Q02bCuestionariosAyunVTMMenLauncher");

	// llama a proceso del jspBean InformesImplBean

	GDTP.addProperty("APP_PARAMETERS","METHOD","obtenerCampoConcedeLicenDeGrupoConMuniAnoYMes");

	// paso param de app es opcional

	GDTP.addGroup("APP_DATA");

	// datos pareja nombre, valor

	GDTP.addProperty("APP_DATA","codProv",codProv);

	GDTP.addProperty("APP_DATA","codMuni",codMuni);

	GDTP.addProperty("APP_DATA","ano",ano);

	GDTP.addProperty("APP_DATA","mes",mes);

	

	// paso datos y qda en response

	var response = Comm.submitGDTP(GDTP,"/q02bCuestionariosWar/comunJSP/q02blauncher.jsp?"+ dameIndicativoNoPortalParaUrl(),"POST");

	return response;

}



function dimeExisteGrupoParaMuniAnoYMesConDifConcedeLicen()

{

	var cmbMuni = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(ano)"].value;

	var mes = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(mes)"].value;

	var concedeLicen = dameValueConcedeLicen();

	if (arrProvMun[0]!= "" && arrProvMun[1]!= "" && ano!= "" && mes!= "" && concedeLicen!= "" )

	{

		var response = obtenerConcedeLicenParaMuniAnoYMes(arrProvMun[0],arrProvMun[1],ano,mes);

		var result = response.getProperty("RESULT_1", "RESULT");		

		if(result == "OK")

		{

			var conceLicenBD = response.getProperty("RESULT_1", "CONCEDE_LICEN");

			var hayCuestionarios = response.getProperty("RESULT_1","HAY_CUESTIONARIOS");

			document.forms["formFiltroCuestionariosAyunVTMMen"].elements["hayCuestionarios"].value = hayCuestionarios;

			

			//Si no existe el grupo para el municipio y a?o seleccionados o coincide lo que se ha introducido en el formulario con lo que est? en la base de datos, no se hace nada

			if(conceLicenBD== "" || conceLicenBD== concedeLicen)

				return true;

			else

			{

				var litMsg;

				if(conceLicenBD =="0")

					litMsg = msgAntesNoLicen;

				else if(conceLicenBD == "1" && hayCuestionarios == "true")

					litMsg = msgAntesSiLicen;

				else if(conceLicenBD == "1" && hayCuestionarios == "false")

					litMsg = msgAntesSiLicenNoCues;

				litMsg += msgConfirmCambioConcedeLicen;

				return (confirm(litMsg));

			}

		}

		else return false;

	}

	else return true;

}



function accionesCambioMuniYAno()

{

	obtenerMesesSinEstadisticaParaMuniYAno();

	cargarConcedeLicenParaMuniAnoYMes();

	

}



//Cuando se cambia el municipio o el a?o o el mes, se pone el radio de concede Licencias, con el valor que est? introducido en bd, si es que existe un grupo de cuestionarios

//para el municipio,ano y mes

function cargarConcedeLicenParaMuniAnoYMes()

{

	var cmbMuni = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(ano)"].value;

	var mes = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(mes)"].value;

	var response = obtenerConcedeLicenParaMuniAnoYMes(arrProvMun[0],arrProvMun[1],ano,mes);

	var result = response.getProperty("RESULT_1", "RESULT");

	if(result == "OK")

	{

		var conceLicenBD = response.getProperty("RESULT_1", "CONCEDE_LICEN");

		

		var concedeLicen = dameValueConcedeLicen();

		//Si no existe el grupo para el municipio y a?o seleccionados o coincide lo que se ha introducido en el formulario con lo que est? en la base de datos, no se hace nada

		if(conceLicenBD!= "" && conceLicenBD!= concedeLicen)

		{

			chequearConcedeLicenConValor(conceLicenBD);

		}

		else if(conceLicenBD== "")

		{

			desChequearTodosConcedeLicen();

		}

	}

}



function desChequearTodosConcedeLicen()

{

	var objRadio = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(licenciasMes)"];

	for(i=0;i<objRadio.length;i++)

	{

		objRadio[i].checked = false;

	}

	return true;

}





function chequearConcedeLicenConValor(valorConcedeLicen)

{

	var objRadio = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(licenciasMes)"];

	for(i=0;i<objRadio.length;i++)

	{

		if(objRadio[i].value == valorConcedeLicen)

		{

			objRadio[i].checked = true;

			break;

		}

	}

	return true;

}



function obtenerMesesSinEstadisticaParaMuniYAno()

{

	//debugger

	var cmbMuni = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"];

	var arrProvMun = dameArrayProvYMun(cmbMuni);

	var ano = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(ano)"].value;

	var mes = document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(mes)"].value;

	if (arrProvMun[0]!= "" && arrProvMun[1]!= "" && ano!= "")

	{

		var GDTP = new ARQ_GDTP();

		GDTP.addGroup("APP_PARAMETERS");

		GDTP.addProperty("APP_PARAMETERS","CLASSNAME","q02b.exe.cuestionariosAyunVTMMen.launcher.Q02bCuestionariosAyunVTMMenLauncher");

		// llama a proceso del jspBean InformesImplBean

		GDTP.addProperty("APP_PARAMETERS","METHOD","getMesesSinCuesAyunVTMMenParaMuniYAno");

		// paso param de app es opcional

		GDTP.addGroup("APP_DATA");

		// datos pareja nombre, valor

		GDTP.addProperty("APP_DATA","codProv",arrProvMun[0]);

		GDTP.addProperty("APP_DATA","codMuni",arrProvMun[1]);

		GDTP.addProperty("APP_DATA","ano",ano);

		GDTP.addProperty("APP_DATA","mes",mes);

		GDTP.addProperty("APP_DATA","idioma",idioma);

			

		// paso datos y qda en response

		var response = Comm.submitGDTP(GDTP,"/q02bCuestionariosWar/comunJSP/q02blauncher.jsp?"+ dameIndicativoNoPortalParaUrl(),"POST");

		var result = response.getProperty("RESULT_1", "RESULT");

		if(result == "OK")

		{

			document.all["divAvisoMeses"].innerHTML= response.getProperty("RESULT_1", "MSG_MESES");

		}

	}

}



function dameArrayProvYMun(cmbMuni)

{

	var arrProvMun= new Array();

	if(cmbMuni.selectedIndex != -1)

	{

		var valueProvMun = cmbMuni.options[cmbMuni.selectedIndex].value;

		arrProvMun = valueProvMun.split(",");

	}

	return arrProvMun;

}



function onLoadPage() 

{

	cargarProvParaAyuntamientos();

	accionesCambioMuniYAno();

	

	

}



function cargarProvParaAyuntamientos()

{

	

	//debugger

	if(perfilUsuarioSession ==perfilAyuntamientos)

	{

		document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"].value= provinciaUsuarioSession + "," + municipioUsuarioSession;

		document.forms["formFiltroCuestionariosAyunVTMMen"].elements["filtro(codProvMun)"].disabled = true;

	}

}







